aboutsummaryrefslogtreecommitdiffstats
path: root/build.sh
diff options
context:
space:
mode:
authorps-george <punter.s.g@gmail.com>2018-03-07 11:51:19 +0000
committerps-george <punter.s.g@gmail.com>2018-03-07 11:51:19 +0000
commit276decea174c394e8939068818d49c2c2d488b9e (patch)
treeec6031c55d46c8b5f721d8710eae9a508b63d01e /build.sh
parent2bf4399c281000436d24a3a6ea5e2395a4a6fb46 (diff)
parentf9d4f3b8dee743cfc106565b9da05b2d031fdb02 (diff)
downloadFMark-276decea174c394e8939068818d49c2c2d488b9e.tar.gz
FMark-276decea174c394e8939068818d49c2c2d488b9e.zip
merging build.sh
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh20
1 files changed, 7 insertions, 13 deletions
diff --git a/build.sh b/build.sh
index e011a92..82bec5c 100755
--- a/build.sh
+++ b/build.sh
@@ -1,5 +1,7 @@
#!/usr/bin/env bash
+set -e
+
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
PREFIX=$DIR
@@ -25,28 +27,20 @@ fi
echo "Running F# tests"
cd $BASE_DIR/FMark/src/FMarkCLI
-dotnet build
-
-if [[ "$?" != "0" ]]; then
- exit 1
-fi
-
-dotnet run --no-build -- -t
-if [[ "$?" != "0" ]]; then
- exit 1
-fi
+dotnet build
+dotnet run --no-build -- --test
if [[ -z $TRAVIS_BUILD_DIR ]]; then
echo "Running javascript build"
cd $BASE_DIR/FMark/src/FMarkFable
dotnet restore
- if [[ "$?" != "0" ]]; then
- exit 1
- fi
dotnet fable yarn-dev
+<<<<<<< HEAD
read -n1 -r -p "Press any key to continue..." key
if [[ "$?" != "0" ]]; then
exit 1
fi
+=======
+>>>>>>> f9d4f3b8dee743cfc106565b9da05b2d031fdb02
fi